Avalanche powered by Wavelink

Home 

Upgrading to Avalanche 6.2.2 from Avalanche 5.3

During an upgrade, the installer for Ivanti Avalanche (powered by Wavelink) migrates the profiles, users, and navigation tree; removes any Avalanche services that are installed locally; and installs the new version. Some data in the Enterprise Server database may be restructured.

What gets migrated/upgraded in this process

profiles

users

the navigation tree

Certificate Manager

What doesn't get migrated in this process

reports (scheduled or completed)

software packages

scheduled deployments

mobile device details

LDAP user accounts

Completed reports (in PDF, XML, or CSV format) are not migrated, but they are not deleted and can still be accessed through the file system. When you install Avalanche 6.2 at a different location than your original server, software packages are not copied to the new environment and must be moved manually.

Supported Versions for Migrating to Avalanche 6.2

Avalanche SE 5.3.0.572

Avalanche MC 5.3.0.543

Avalanche MC External DB 5.3.0.543

Avalanche MC 5.3.1.50

Avalanche MC External DB 5.3.1.50

Avalanche 6.0

Avalanche 6.1

If you have an earlier version than those listed above, you must first upgrade to Avalanche 5.3.1 before upgrading to 6.2.

The steps below are an overview of what you must do to upgrade to Avalanche 6.2.2.

To upgrade to Avalanche 6.2

1.Create a backup of your current Avalanche databases and software packages.

2. If you are running a version of Avalanche that is earlier than Avalanche SE 5.3.1, you must upgrade your existing instance to Avalanche 5.3.1. To obtain the install files, contact Ivanti Support. For more information on installing and upgrading to Avalanche 5.3.1, see Migrating from Avalanche 4.6+ to Avalanche 5.3.

3.Configure your existing database server to allow remote access.

4.Install and configure Microsoft SQL Server.

5.Run the Avalanche installer as an upgrade.

6.Merge the software packages backup with the avapackages folder located at C:\Program Files\Wavelink\Avalanche.

7. (Optional) Install or upgrade additional device servers.

8. Download 6.2 Enablers from the download site, and install them on your devices. New smart devices that enroll after you have upgraded to 6.2 must be using 6.2 Enablers. AIDC devices will still use 5.3 enablers.

9.(Optional) If you want devices to connect to a different device server, use a network profile or mobile device profile with the new server address to redirect devices.

10. If you haven't yet, you will need to obtain SSL certificates and GCM/APNS credentials before you can connect smart devices. For information on obtaining SSL certificates, see Obtaining SSL Certificates.

11.Upgrade licenses.

12.Back up the encryption key.


Was this article useful?